<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table14', function (Blueprint $table) {
            $table->id('DatasetTable14Id');
            $table->integer('dataset_id');
            $table->string('jenis_pemanfaatan_lahan')->nullable();
            $table->float('jumlah')->default(0);
            $table->string('skala_usaha')->nullable();
            $table->float('luas')->default(0);
            $table->string('keterangan')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table14s');
    }
};
